declare var TBSDK_ADA;
declare var Zepto;
declare var resPath:string;
declare var requirelogin:Function;
declare var CFG;
declare var __debug__:number;
declare var __t0__:number;

declare interface IBoxItem {
    award: number;
    skin: string;
    offset: number[];
}


/**
 * 1.捞一次扣一次积分，不管捞没捞到宝箱，不管宝箱是否被猴子抢走；2.只有捞到宝箱，参与了一次抽奖才扣积分
 */
declare var __mode__:number;
declare var __award_thanks_score__:number;
declare var __boxmap__: { [key: string]: IBoxItem };
declare var __bgUrl__:string;
declare var __monkeyHandSize__:number;
declare var __boxMoveSpeed__:number;
declare var __BOX_CREATE_INTERVAL__:number;
declare var __boxOpenState__:string;